using System;
using Guadagno.Utilities.Configuration;

namespace ApplicationPlugins
{
   public class PluginShellConfig: ConfigurationBase
   {
      public PluginShellConfig () : base() { }
      public PluginShellConfig (string stage) : base(stage) { }
      public PluginShellConfig (string stage, string filename) : base(stage, filename) { }

      #region Public Properties From XML
      
      public string Filename { get { return this["Filename"]; } }
      public string CQ { get { return this["CQ"]; } }
      public string Schedule { get { return this["Schedule"]; } }
      public string Log4NetConfig { get { return this["log4net"]; } }

      #endregion Public Properties From XML
   }
}
