using System;
using System.Xml;
using Guadagno.Utilities.Configuration;

namespace TaskPluginTest
{
    public class TaskPluginTestConfig: ConfigurationBase
    {
        #region Constructors

        public TaskPluginTestConfig() : base() { }
        public TaskPluginTestConfig(string stage) : base(stage) { }
        public TaskPluginTestConfig(string stage, string filename) : base(stage, filename) { }
        
        #endregion Constructors

        #region Public Properties from XML

        public string Log4NetConfig { get { return this["log4net"]; } }
        public string PluginPath { get { return this["log4net"]; } }

        #endregion Public Properties from XML

    }
}
